# Class CIM_SystemInNamespace

SystemInNamespace is an association that allows enumeration of the system(s) represented in a Namespace.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_SystemInNamespace

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Association | boolean | true
Description | string | SystemInNamespace is an association that allows enumeration of the system(s) represented in a Namespace.
UMLPackagePath | string | CIM::Interop
Version | string | 2.6.0

## Class Properties

### Local Class Properties

Name | Data Type | Default Value | Qualifiers
--- | --- | --- | ---
Name | Data Type | Value
DescriptionOfContainedData | string[] |
ArrayType | string | Indexed
Description | string | An array of free-form strings providing more detailed explanations for the data/objects contained in the Namespace, as described by the ContainedData array. Note, each entry of this array is related to the entry in the ContainedData array that is located at the same index.
ModelCorrespondence | string | CIM_SystemInNamespace.ScopeOfContainedData
Write | boolean | true
ScopeOfContainedData | uint16[] |
ArrayType | string | Indexed
Description | string | A list of enumerated values providing a high level description of the data contained and allowed in the Namespace. Additional clarification is provided in the DescriptionOfContainedData array.
ModelCorrespondence | string | CIM_SystemInNamespace.DescriptionOfContainedData
Required | boolean | true
ValueMap | string | 0, 1, 2, 3, 4
Values | string | Unknown, Other, Local System Data, Data Aggregated from Multiple Systems, Proxied Data
Write | boolean | true

### Association References

Name | Class Origin | Reference Class
--- | --- | ---
Identification | CIM_SystemInNamespace | CIM_SystemIdentification
ManagedNamespace | CIM_SystemInNamespace | CIM_Namespace

## Class Methods